Loading...
Searching...
No Matches
Event management
Utilities

## Functions

void | magma_event_create (magma_event_t *event)
| Creates a GPU event.
void | magma_event_create_untimed (magma_event_t *event)
| Creates a GPU event, without timing support.
void | magma_event_record (magma_event_t event, magma_queue_t queue)
| Records an event into the queue's execution stream.
void | magma_event_sync (magma_event_t event)
| Synchronizes with an event.
void | magma_queue_wait_event (magma_queue_t queue, magma_event_t event)
| Synchronizes a queue with an event.

## Detailed Description

## Function Documentation

## magma_event_create()

void magma_event_create | ( | magma_event_t * | event | ) |

Creates a GPU event.

Parameters

  [in] | event | On output, the newly created event.

## magma_event_create_untimed()

void magma_event_create_untimed | ( | magma_event_t * | event | ) |

Creates a GPU event, without timing support.

May improve performance

Parameters

  [in] | event | On output, the newly created event.

## magma_event_record()

void magma_event_record | ( | magma_event_t | event,
|  | magma_queue_t | queue )

Records an event into the queue's execution stream.

The event will trigger when all previous operations on this queue finish.

Parameters

  [in] | event | Event to record.
  [in] | queue | Queue to execute in.

## magma_event_sync()

void magma_event_sync | ( | magma_event_t | event | ) |

Synchronizes with an event.

The CPU blocks until the event triggers.

Parameters

  [in] | event | Event to synchronize with.

## magma_queue_wait_event()

void magma_queue_wait_event | ( | magma_queue_t | queue,
|  | magma_event_t | event )

Synchronizes a queue with an event.

The queue blocks until the event triggers. The CPU does not block.

Parameters

  [in] | event | Event to synchronize with.
  [in] | queue | Queue to synchronize.